name 'docker-secure'
description 'Secure Docker Engine'

run_list(
  'role[docker]',
)

#env_run_lists

default_attributes(
)

override_attributes(
  'docker-grid' => {
    'engine' => {
      'userns-remap' => 'default',
      'daemon_extra_options' => [
        '-H fd:// --bip=192.168.128.1/24 --fixed-cidr=192.168.128.0/24',
      ].join(' '),
      'users_allow' => [
        #'alice',
        #'bob',
      ],
    },
  },
)
